=== debian/changelog ===
ros-lunar-socketcan-interface (0.7.9-0stretch) stretch; urgency=high

  * introduced ROSCANOPEN_MAKE_SHARED
  * added c_array access functons to can::Frame
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 22 May 2018 22:00:00 -0000

ros-lunar-socketcan-interface (0.7.8-0stretch) stretch; urgency=high

  * Revert "pull make_shared into namespaces"
    This reverts commit 9b2cd05df76d223647ca81917d289ca6330cdee6.
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-lunar-socketcan-interface (0.7.7-0stretch) stretch; urgency=high

  * pull make_shared into namespaces
  * added types for all shared_ptrs
  * fix catkin_lint warnings in filter tests
  * migrate to new classloader headers
  * find and link the thread library properly
  * compile also with boost >= 1.66.0
  * explicitly include iostream to compile with boost >= 1.65.0
  * address catkin_lint errors/warnings
  * added test for FilteredFrameListener
  * fix string parsers
  * default to relaxed filter handling
    works for standard and extended frames
  * fix string handling of extended frames
  * added filter parsers
    should work for vector<unsigned int>, vector<string> and custom vector-like classes
  * implemented mask and range filters for can::Frame
  * Contributors: Lukas Bulwahn, Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 03 May 2018 22:00:00 -0000

ros-lunar-socketcan-interface (0.7.6-0stretch) stretch; urgency=high

  * make can::Header/Frame::isValid() const
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Tue, 29 Aug 2017 22:00:00 -0000

ros-lunar-socketcan-interface (0.7.5-0stretch) stretch; urgency=high

  * fix rosdep dependency on kernel headers
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 28 May 2017 22:00:00 -0000

ros-lunar-socketcan-interface (0.7.4-0stretch) stretch; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-lunar-socketcan-interface (0.7.3-0stretch) stretch; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 24 Apr 2017 22:00:00 -0000

ros-lunar-socketcan-interface (0.7.2-0stretch) stretch; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 27 Mar 2017 22:00:00 -0000

ros-lunar-socketcan-interface (0.7.1-0stretch) stretch; urgency=high

  * stop CAN driver on read errors as well
  * expose socketcan handle
  * implemented BCMsocket
  * introduced BufferedReader::readUntil
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Sun, 19 Mar 2017 23:00:00 -0000

ros-lunar-socketcan-interface (0.7.0-0stretch) stretch; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 12 Dec 2016 23:00:00 -0000

ros-lunar-socketcan-interface (0.6.5-0stretch) stretch; urgency=high

  * removed Baseclass typedef since its use prevented virtual functions calls
  * add missing chrono dependency
  * Added catch-all features in BufferedReader
  * hardened code with the help of cppcheck
  * styled and sorted CMakeLists.txt
    * removed boilerplate comments
    * indention
    * reviewed exported dependencies
  * styled and sorted package.xml
  * update package URLs
  * Improves StateInterface implementation of the DummyInterface.
    The doesLoopBack() method now returns the correct value. A state change is
    correctly dispatched when the init() method is called.
  * Changes inheritance of DummyInterface to DriverInterface.
    Such that this interface can also be used for tests requiring a DriverInterface
    class.
    Test results of the socketcan_interface tests are unchanged by this
    modification as it only uses the CommInterface methods.
  * added socketcan_interface_string to test
  * moved string functions into separate lib
  * Introduced setNotReady, prevent enqueue() to switch from closed to open
  * Reading state_ should be protected by lock
  * improved BufferedReader interface and ScopedEnabler
  * added flush() and max length support to BufferedReader
  * added BufferedReader
  * wake multiple waiting threads if needed
  * pad hex buffer strings in all cases
  * removed unstable StateWaiter::wait_for
  * Contributors: Ivor Wanders, Mathias Lüdtke, Michael Stoll

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Fri, 09 Dec 2016 23:00:00 -0000

ros-lunar-socketcan-interface (0.6.4-0stretch) stretch; urgency=high

  * added missing include, revised depends etc.

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Thu, 02 Jul 2015 22:00:00 -0000

ros-lunar-socketcan-interface (0.6.3-0stretch) stretch; urgency=high

  * dependencies revised
  * reordering fix for #87 <https://github.com/ros-industrial/ros_canopen/issues/87>
  * intialize structs
  * tostring fixed for headers
  * removed empty test
  * added DummyInterface with first test
  * added message string helper
  * added missing include
  * install socketcan_interface_plugin.xml
  * migrated to class_loader for non-ROS parts
  * moved ThreadedInterface to dedicated header
  * removed bitrate, added loopback to DriverInterface::init
  * added socketcan plugin
  * CommInterstate and StateInterface are now bases of DriverInterface.
    Therefore DispatchedInterface was moved into AsioBase.
  * remove debug prints
  * shutdown asio driver in destructor
  * proper mask shifts
  * Contributors: Mathias Lüdtke

 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Mon, 29 Jun 2015 22:00:00 -0000

ros-lunar-socketcan-interface (0.6.2-0stretch) stretch; urgency=high



 -- Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>  Wed, 17 Dec 2014 23:00:00 -0000

ros-lunar-socketcan-interface (0.6.1-0stretch) stretch; urgency=high

  * remove ipa_* and IPA_* prefixes
  * fixed catkin_lint errors
  * added descriptions and authors

