=== debian/control ===
Source: ros-lunar-socketcan-interface
Section: misc
Priority: extra
Maintainer: Mathias Lüdtke <mathias.luedtke@ipa.fraunhofer.de>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, linux-libc-dev, ros-lunar-catkin, ros-lunar-class-loader, ros-lunar-rosunit
Homepage: http://wiki.ros.org/socketcan_interface
Standards-Version: 3.9.2

Package: ros-lunar-socketcan-interface
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev, linux-libc-dev, ros-lunar-class-loader
Description: Generic CAN interface description with helpers for filtering and driver implementation.
 Further a socketcan implementation based on boost::asio is included.
